package ink.wgink.module.wechat.pojo.vos.miniapp;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: MiniAppUpdatePhoneVO
 * @Description: 小程序更新手机
 * @Author: wanggeng
 * @Date: 2021/8/2 5:20 下午
 * @Version: 1.0
 */
@ApiModel
public class MiniappUpdatePhoneVO {

    @ApiModelProperty(name = "phone", value = "手机号")
    @CheckEmptyAnnotation(name = "手机号", regex = "phone")
    private String phone;

    public String getPhone() {
        return phone == null ? "" : phone.trim();
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"phone\":\"")
                .append(phone).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
